Hi
Is there a way to open at once multiple views selected in project browser?
Hi
Is there a way to open at once multiple views selected in project browser?
No.
No.
So you want to select multiple views in the project browser and have them all open at the same time? as @RobDraw said... No....
You would have to select each view anyway, just double click when you select them.
Howard Munsell
Did you find this post helpful? Feel free to Like this post.
Did your question get successfully answered? Then click on the ACCEPT SOLUTION button.
So you want to select multiple views in the project browser and have them all open at the same time? as @RobDraw said... No....
You would have to select each view anyway, just double click when you select them.
Howard Munsell
Did you find this post helpful? Feel free to Like this post.
Did your question get successfully answered? Then click on the ACCEPT SOLUTION button.
Is there no plugin for this?
I found here something that should do the job :
http://revitaddons.blogspot.com/2017/05/free-openmultipleviews-open-selected.html
but it seems that they have removed it.
Is there no plugin for this?
I found here something that should do the job :
http://revitaddons.blogspot.com/2017/05/free-openmultipleviews-open-selected.html
but it seems that they have removed it.
nothing I know of.
I'm curious though, how would you see a tool like that working?
Howard Munsell
Did you find this post helpful? Feel free to Like this post.
Did your question get successfully answered? Then click on the ACCEPT SOLUTION button.
nothing I know of.
I'm curious though, how would you see a tool like that working?
Howard Munsell
Did you find this post helpful? Feel free to Like this post.
Did your question get successfully answered? Then click on the ACCEPT SOLUTION button.
1) select multiple views with ctrl or shift
2) rightlick - > open
In large projects i could end up badly when by mistake somebody opens 100 views but for me with using it carefully it would be handy.
1) select multiple views with ctrl or shift
2) rightlick - > open
In large projects i could end up badly when by mistake somebody opens 100 views but for me with using it carefully it would be handy.
that's kind of what I though. hopefully someone will see this and maybe develop somthing or know of somthing to point you to.
Howard Munsell
Did you find this post helpful? Feel free to Like this post.
Did your question get successfully answered? Then click on the ACCEPT SOLUTION button.
that's kind of what I though. hopefully someone will see this and maybe develop somthing or know of somthing to point you to.
Howard Munsell
Did you find this post helpful? Feel free to Like this post.
Did your question get successfully answered? Then click on the ACCEPT SOLUTION button.
Until something is available, you can use the project browser to group those views together for easy picking.
Until something is available, you can use the project browser to group those views together for easy picking.
Hey, i think is not possible from Revit, but it can be done with the Revit API.
Paste this code inside the Python Script node, on Dynamo:
import clr
clr.AddReference("RevitAPI")
import Autodesk
from Autodesk.Revit.DB import *
clr.AddReference("RevitServices")
import RevitServices
from RevitServices.Persistence import DocumentManager
doc = DocumentManager.Instance.CurrentDBDocument
uiapp = DocumentManager.Instance.CurrentUIApplication
uiDoc = uiapp.ActiveUIDocument
app = uiapp.Application
ids = uiDoc.Selection.GetElementIds();
views = list()
for v in ids:
uiDoc.RequestViewChange(doc.GetElement(v))
As you can see in the image, there is a boolean node. This is just to refresh dynamo in the case you run the script and nothing happen.
To run the script:
1. Select the views you want to open from the Project Browser.
2. Run the script.
* If nothing happen, modify the boolean value, and run it again.
The views should be opened.
I have attached the dyn file. The script was done on Revit 2020.
I hope it helps,
Kind regards.
Hey, i think is not possible from Revit, but it can be done with the Revit API.
Paste this code inside the Python Script node, on Dynamo:
import clr
clr.AddReference("RevitAPI")
import Autodesk
from Autodesk.Revit.DB import *
clr.AddReference("RevitServices")
import RevitServices
from RevitServices.Persistence import DocumentManager
doc = DocumentManager.Instance.CurrentDBDocument
uiapp = DocumentManager.Instance.CurrentUIApplication
uiDoc = uiapp.ActiveUIDocument
app = uiapp.Application
ids = uiDoc.Selection.GetElementIds();
views = list()
for v in ids:
uiDoc.RequestViewChange(doc.GetElement(v))
As you can see in the image, there is a boolean node. This is just to refresh dynamo in the case you run the script and nothing happen.
To run the script:
1. Select the views you want to open from the Project Browser.
2. Run the script.
* If nothing happen, modify the boolean value, and run it again.
The views should be opened.
I have attached the dyn file. The script was done on Revit 2020.
I hope it helps,
Kind regards.
@andkal and there you go.... 😂.
Give what @franciscopossetto provided a try and let us know how it works.
Howard Munsell
Did you find this post helpful? Feel free to Like this post.
Did your question get successfully answered? Then click on the ACCEPT SOLUTION button.
@andkal and there you go.... 😂.
Give what @franciscopossetto provided a try and let us know how it works.
Howard Munsell
Did you find this post helpful? Feel free to Like this post.
Did your question get successfully answered? Then click on the ACCEPT SOLUTION button.
I created a 2-node script in dynamo according to your instructions and it works but only once.
I somehow cannot repeat this action when I click Run again to open other selected views
I created a 2-node script in dynamo according to your instructions and it works but only once.
I somehow cannot repeat this action when I click Run again to open other selected views
It was working on my side, but after run it a couple of times I had the same error.
I added 2 lines on the Python script. Please replace the old code.
import clr
clr.AddReference("RevitAPI")
import Autodesk
from Autodesk.Revit.DB import *
clr.AddReference("RevitServices")
import RevitServices
from RevitServices.Persistence import DocumentManager
from RevitServices.Transactions import TransactionManager
doc = DocumentManager.Instance.CurrentDBDocument
uiapp = DocumentManager.Instance.CurrentUIApplication
uiDoc = uiapp.ActiveUIDocument
app = uiapp.Application
ids = uiDoc.Selection.GetElementIds();
for v in ids:
uiDoc.RequestViewChange(doc.GetElement(v))
TransactionManager.Instance.ForceCloseTransaction()
It is working on my side now, but let me know if it doesn't work as you expect. I will do some more tests.
Kind regards.
It was working on my side, but after run it a couple of times I had the same error.
I added 2 lines on the Python script. Please replace the old code.
import clr
clr.AddReference("RevitAPI")
import Autodesk
from Autodesk.Revit.DB import *
clr.AddReference("RevitServices")
import RevitServices
from RevitServices.Persistence import DocumentManager
from RevitServices.Transactions import TransactionManager
doc = DocumentManager.Instance.CurrentDBDocument
uiapp = DocumentManager.Instance.CurrentUIApplication
uiDoc = uiapp.ActiveUIDocument
app = uiapp.Application
ids = uiDoc.Selection.GetElementIds();
for v in ids:
uiDoc.RequestViewChange(doc.GetElement(v))
TransactionManager.Instance.ForceCloseTransaction()
It is working on my side now, but let me know if it doesn't work as you expect. I will do some more tests.
Kind regards.
still the same problem
still the same problem
I know I’ve joined this late and I’m maybe going to approach this from the wrong angle but you mentioned opening 100 views at once - why would you want to do that? What are you going to be doing that needs so many views open simultaneously? How do you view them all at once?
I wouldn’t normally open more than about 5 or 10 views max at a time and it only takes seconds to achieve.
Just an opinion, feel free to ignore me.
I know I’ve joined this late and I’m maybe going to approach this from the wrong angle but you mentioned opening 100 views at once - why would you want to do that? What are you going to be doing that needs so many views open simultaneously? How do you view them all at once?
I wouldn’t normally open more than about 5 or 10 views max at a time and it only takes seconds to achieve.
Just an opinion, feel free to ignore me.
Hello
By being careful with this tool I ment to watch out not to open 100 views at once, but only a few.
Hello
By being careful with this tool I ment to watch out not to open 100 views at once, but only a few.
So if you are only opening a few, is it a big deal to just open them one after the other?
So if you are only opening a few, is it a big deal to just open them one after the other?
As for me - any improvement is wellcome. If there was such function im sure the users would use it, not avoid it.
As for me - any improvement is wellcome. If there was such function im sure the users would use it, not avoid it.
Hey,
I built the tool using C# and works much better than the Dynamo script. I've added it in a open-source solution that I am working on.
https://github.com/franpossetto/Nina
You can download the installer directly from this link.
https://github.com/franpossetto/Nina/releases/latest/download/Nina.msi
I hope this time works.
Kind regards.
Hey,
I built the tool using C# and works much better than the Dynamo script. I've added it in a open-source solution that I am working on.
https://github.com/franpossetto/Nina
You can download the installer directly from this link.
https://github.com/franpossetto/Nina/releases/latest/download/Nina.msi
I hope this time works.
Kind regards.
Sadly, the installer seems to be offline. Could the python version not be included into pyrevit? Just copying it over into pyrevit however did not do the trick. Pyrevit must be very different from DynPython ;-).
Sadly, the installer seems to be offline. Could the python version not be included into pyrevit? Just copying it over into pyrevit however did not do the trick. Pyrevit must be very different from DynPython ;-).
Hey,
Thanks for the heads-up. The link has been fixed. The previous link should work:
https://github.com/franpossetto/Nina/releases/latest/download/Nina.msi
And in case I break the link again, all the versions are here:
https://github.com/franpossetto/Nina/releases
The issue was that I changed the Installer name, so the URL was broken because it cannot find the .msi file.
I think the python code should work on pyRevit making some small modifications. Let me check it and I can send you the script as well.
I hope it helps,
Kind regards!
Hey,
Thanks for the heads-up. The link has been fixed. The previous link should work:
https://github.com/franpossetto/Nina/releases/latest/download/Nina.msi
And in case I break the link again, all the versions are here:
https://github.com/franpossetto/Nina/releases
The issue was that I changed the Installer name, so the URL was broken because it cannot find the .msi file.
I think the python code should work on pyRevit making some small modifications. Let me check it and I can send you the script as well.
I hope it helps,
Kind regards!
Can't find what you're looking for? Ask the community or share your knowledge.